      subroutine gtd7_pass( argc, argv )
!
!     IDL call_external interface to GTD7 entry point in MSIS00
!
!     B. Knapp, 1995-10-04, 2001-05-01 (i*4 to i)
!
      implicit none
      integer argc, argv(*)

!     (Assume argument checking has been done by IDL caller)
      call gtd7(
     &   %val( argv( 1) ), %val( argv( 2) ), %val( argv( 3) ),
     &   %val( argv( 4) ), %val( argv( 5) ), %val( argv( 6) ),
     &   %val( argv( 7) ), %val( argv( 8) ), %val( argv( 9) ),
     &   %val( argv(10) ), %val( argv(11) ), %val( argv(12) ) )

      return
      end


      subroutine meters_pass( argc, argv )
!
!     IDL call_external interface to METERS entry point in MSIS00
!
!     B. Knapp, 1995-10-04, 2001-05-01 (i*4 to i)
!
      implicit none
!
      integer argc, argv(*)
!
!     (Assume argument checking has been done by IDL caller)
      call meters( %val( argv(1) ) )
!
      return
      end


      subroutine tretrv_pass( argc, argv )
!
!     IDL call_external interface to TRETRV entry point in MSIS00
!
!     B. Knapp, 1995-10-04, 2001-05-01 (i*4 to i)
!
      implicit none
!
      integer argc, argv(*)
!
!     (Assume argument checking has been done by IDL caller)
      call tretrv( %val( argv(1) ) )
!
      return
      end


      subroutine tselec_pass( argc, argv )
!
!     IDL call_external interfact to TSELEC entry point in MSIS00
!
!     B. Knapp, 1995-10-04, 2001-05-01 (i*4 to i)
!
      implicit none
!
      integer argc, argv(*)
!
!     (Assume argument checking has been done by IDL caller)
      call tselec( %val( argv(1) ) )
!
      return
      end
